
package com.ejie.ab79.clientesWS.ab63WebService;

import javax.xml.ws.WebFault;

/**
 * This class was  
 * source version: 2.1
 * 
 */
@WebFault(name = "Ab63Exception", targetNamespace = "http://ab63.exe.webservice/")
public class Ab63Exception extends Exception {

	private static final long serialVersionUID = 1L;

	/**
	 * Java type that goes as soapenv:Fault detail element.
	 * 
	 */
	private Ab63ExceptionGeneral faultInfo;

	/**
	 * 
	 * @param faultInfo
	 * @param message
	 */
	public Ab63Exception(String message, Ab63ExceptionGeneral faultInfo) {
		super(message);
		this.faultInfo = faultInfo;
	}

	/**
	 * 
	 * @param faultInfo
	 * @param cause
	 * @param message
	 */
	public Ab63Exception(String message, Ab63ExceptionGeneral faultInfo, Throwable cause) {
		super(message, cause);
		this.faultInfo = faultInfo;
	}

	/**
	 * 
	 * @return returns fault bean:
	 *         com.ejie.ab79.clientesWS.ab63WebService.Ab63ExceptionGeneral
	 */
	public Ab63ExceptionGeneral getFaultInfo() {
		return faultInfo;
	}

}
